<?php
/**
 * DOCSIS Vendor Specific Information
 *
 * @author David Eder <david@eder.us>
 * @copyright 2004 David Eder
 * @package docsis_config
 * @version .3
 */

 /**
  */
  require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'docsis_common.php');

  define('DOCSIS_VENDOR', 43);
    define('DOCSIS_VENDOR_ID', 8);

 /**
  * DOCSIS Vendor Specific Information - docsis 1.0
  *
  * Vendor-specific information for cable modems, if present, must be encoded in the vendor specific information field (VSIF) using the Vendor ID
  * field to specify which TLV tuples apply to which vendors products.
  *
  * @package docsis_config
  */
  class docsis_vendor extends docsis_encoder_complex
  {
    function docsis_error($code=DOCSIS_VENDOR, $value=array())
    {
      parent::docsis_encoder_complex($code, $value);
      $this->set_id(0);
    }

    function set_id($value)
    {
      $this->value[DOCSIS_VENDOR_ID] = new docsis_encoder_hex_string(DOCSIS_VENDOR_ID, $value);
    }
  }
?>
