<?php
  require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'vt1000s.php');

  $mac   = $_SERVER['argv'][1];
  $phone = $_SERVER['argv'][2];
  $name  = $_SERVER['argv'][3];
  $area  = substr($phone, 0, 3);
  $pass  = substr($phone, 3);

  $bf = new vt1000();
  $bf->add_option(TeleSipTftpServerFqdn, "fluorine.intertech.net");
  $bf->add_option(TeleSipTftpDirectory, "");
  $bf->add_option(TeleSipReTftpTimeout, 300);
  $bf->add_option(TeleSipRegistrationExpireTime, 3600);
  $bf->add_option(TeleSipRegistrationHeadstartTime, 30);
  $bf->add_option(TeleSipProxyFqdn, "fluorine.intertech.net:5060");
  $bf->add_option(TeleSipOutboundProxyFqdn, "");
  $bf->add_option(TeleSipLocalPort, 5060);
  $bf->add_option(TeleSipSetTimeServer, "fluorine.intertech.net");
  $bf->add_option(TeleSipSetTimeOffset, -18000);
  $bf->add_option(TeleSipDstOffset, 3600);
  $bf->add_option(TeleSipDstStartDay, 0x04060200);
  $bf->add_option(TeleSipDstEndDay, 0x0a1a0200);
  $bf->add_option(TeleSip5XX6XXFailover, FALSE);
  $bf->add_option(TeleSipRemoteRebootKey, 0x01020304);
  $bf->add_option(TeleSipOobDtmf, FALSE);
  $bf->add_option(TeleSipRebootNow, FALSE);
  $bf->add_option(TelSipVadEnabled, TRUE);
  $bf->add_option(TeleSipPrimaryDns, '24.223.0.5');
  $bf->add_option(TeleSipSecondaryDns, '24.223.0.16');
  $bf->add_option(TelSipEventLevel, 0x800c3b63);
  $bf->add_option(TelSipRtpPortBase, 20000);
  $bf->add_option(TelSipConfigFileVersion, "3.0");
  $bf->add_option(TeleSipCallWaitTonePeriod, 10);
  $bf->add_option(TeleSipCallWaitToneCnt, 2);

  $bf->add_snmp(btiToneDbLevel . '.20', new rfc1155_Integer(-8));
  $bf->add_snmp(btiToneFirstFrequency . '.20', new rfc1155_Integer(350));

/*
  $bf->add_option(TeleSipDialPlanEntry, 0, "BLIND_TRANSFER:#90");
  $bf->add_option(TeleSipDialPlanEntry, 0, "CONSULT_TRANSFER:#91");
  $bf->add_option(TeleSipDialPlanEntry, 0, "CONFERENCE:#92");
  $bf->add_option(TeleSipDialPlanEntry, 0, "REPEAT_DIAL:#93");
  $bf->add_option(TeleSipDialPlanEntry, 0, "REPEAT_DIAL_STOP:#94");
  $bf->add_option(TeleSipDialPlanEntry, 0, "DO_NOT_DISTURB:*65");
  $bf->add_option(TeleSipDialPlanEntry, 0, "DO_DISTURB:*66");
  $bf->add_option(TeleSipDialPlanEntry, 0, "CI_BLOCK:*67");
  $bf->add_option(TeleSipDialPlanEntry, 0, "CI_UNBLOCK:*68");
  $bf->add_option(TeleSipDialPlanEntry, 0, "CW_DISABLE:*70");
  $bf->add_option(TeleSipDialPlanEntry, 0, "CW_ENABLE:*71");
*/
  $bf->add_option(TeleSipDialPlanEntry, 0, "PREPEND:XXXXXXXT:1$area");
  $bf->add_option(TeleSipDialPlanEntry, 0, "PREPEND:[2-9]XXXXXXXXX:1");
  $bf->add_option(TeleSipDialPlanEntry, 0, "DIGITMAP:1XXXXXXXXXX");
  $bf->add_option(TeleSipDialPlanEntry, 0, "DIGITMAP:XXXX");
  $bf->add_option(TeleSipPhoneNumber, 0, $phone);
  $bf->add_option(TeleSipCidUserName, 0, $name);
  $bf->add_option(TeleSipAuthPassword, 0, $pass);
  $bf->add_option(TeleSipOutgoingCidBlocking, 0, FALSE);
  $bf->add_option(TeleSipIncomingCwEnabled, 0, TRUE);
  $bf->add_option(TeleSipAnonymousCidBlocking, 0, FALSE);
  $bf->add_option(TeleSipCodecSelection, 0, "PCMU:G729E:G726-32");
  $bf->add_option(TeleSipPacketPeriodSelection, 0, 20);
  $bf->add_option(TeleSipRedialMaxTimeout, 0, 1800);
  $bf->add_option(TeleSipRedialMaxPeriod, 0, 60);
  $bf->add_option(TeleSipCritialDialTimeout, 0, 2000);
  $bf->add_option(TeleSipPartialDialTimeout, 0, 16000);
  $bf->add_option(TeleSipActionKey, 0, '#');

  $bf->add_snmp(btiCpeInterfaceEnable . '.0', new rfc1155_OctetString(chr(0xe0)));

  $bf->add_option(TeleSipSyslogServerAddr, "[24.223.0.3]");
  $bf->add_option(TeleLogLevel, 0x003F003F);


  $z = $bf->encode();
  $fp = fopen("/tftpboot/motvt1000_$mac.bin", 'w');
  fputs($fp, $z);
  fclose($fp);
?>
