<?php
  require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'mta_config.php');

  class vt1000
  {
    var $bf;

    function vt1000()
    {
      $this->bf = new mta_config();
    }

    function add_snmp($oid, $varbind)
    {
      $this->bf->add_snmp_object($oid, $varbind);
    }

    function add_option($key, $index, $value=NULL)
    {
      global $teletypes;

      if(is_null($value))
      {
        $value = $index;
        $index = NULL;
      }

      if(!isset($teletypes[$key])) $this->error('Unknown key');
      $p = explode(':', $teletypes[$key]);
      if(!isset($p[1])) $this->error('Not fully supported key');

      switch($p[0])
      {
        case 'uint':
          if($p[1] == 4)
            $value = pack('N', $value);
          elseif($p[1] == 2)
            $value = pack('n', $value);
          elseif($p[1] == 1)
            $value = chr($value);
          else
            $this->error("uint($p[1])) not fully supported");
          break;
        case 'string':
          if(strlen($value) > $p[1]) $this->error("String must not be more than {$p[1]} characters long");
          break;
        case 'bool':
          $value = ($value)?chr(1):chr(0);
          break;
        case 'ip':
          $value = explode('.', $value);
          $value = chr($value[0]) . chr($value[1]) . chr($value[2]) . chr($value[3]);
          break;
        case 'int':
          if($p[1] == 4)
            $value = strrev(pack('l', $value));
          else
            $this->error("int($p[1]) not fullup supported");
          break;
        default:
          $this->error("$p[0]($p[1]) not fully supported");
      }
      if(!is_null($index)) $value = chr($index) . $value;
      $value = chr($key) . $value;
      $value = chr(7) . chr(strlen($value)) . $value;
      $this->bf->add_snmp_object('.1.3.6.1.4.1.1166.1.200.9.8.0', new rfc1155_Opaque($value));
    }

    function encode()
    {
      return $this->bf->encode();
    }

    function error($message='')
    {
      $z = debug_backtrace();
      echo "$message on line {$z[1]['line']}\n";
      exit;
    }
  }

  $teletypes = array();
  define('TeleTftpUlr',                        0); $teletypes[0] = '';
  define('TeleChangeBootFlags',                1); $teletypes[1] = '';
  define('TeleLogLevel',                       2); $teletypes[2] = 'uint:4';
  define('TeleTelnetPriority',                 3); $teletypes[3] = '';
  define('TeleSingleFileProvisioning',         4); $teletypes[4] = '';
  define('TeleAppEventLevel',                  5); $teletypes[5] = 'uint:4';
  define('TeleUnitUpdateTftpServer',          17); $teletypes[17] = 'string:250'; // guess???
  define('TeleUnitUpdateName',                 7); $teletypes[7] = 'string:250'; // guess???
  define('TeleUnitUpdateState',                8); $teletypes[8] = 'bool:1'; // guess???
  define('TeleEnableFactoryMib',               9); $teletypes[9] = '';
  define('TeleSetFixedSnmpEntity',            10); $teletypes[10] = '';
  define('TeleSetTimeServer',                 11); $teletypes[11] = '';
  define('TeleSetTimeOffset',                 12); $teletypes[12] = '';
  define('TeleSetDnsServer',                  13); $teletypes[13] = '';
  define('TeleEnetBridgeEnabled',             14); $teletypes[14] = '';
  define('TeleSipSyslogServerAddr',          100); $teletypes[100] = 'string:250'; // guess???
  define('TeleSipTftpServerFqdn',            101); $teletypes[101] = 'string:250';
  define('TeleSipTftpDirectory',             102); $teletypes[102] = 'string:64';
  define('TeleSipRc4EncryptionKey',          103); $teletypes[103] = '';
  define('TeleSipReTftpTimeout',             104); $teletypes[104] = 'uint:4';
  define('TeleSipRegistrationExpireTime',    105); $teletypes[105] = 'uint:4';
  define('TeleSipRegistrationHeadstartTime', 106); $teletypes[106] = 'uint:4';
  define('TeleSipRedialRingDelay',           107); $teletypes[107] = '';
  define('TeleSipProxyFqdn',                 108); $teletypes[108] = 'string:250';
  define('TeleSipLocalPort',                 109); $teletypes[109] = 'uint:2';
  define('TeleSipNotifyPeriod',              110); $teletypes[110] = '';
  define('TeleSipSetTimeServer',             111); $teletypes[111] = 'string:250';
  define('TeleSipSetTimeOffset',             112); $teletypes[112] = 'int:4';
  define('TeleSipDstOffset',                 113); $teletypes[113] = 'int:4';
  define('TeleSipDstStartDay',               114); $teletypes[114] = 'uint:4';
  define('TeleSipDstEndDay',                 115); $teletypes[115] = 'uint:4';
  define('TeleSipRemoteRebootKey',           116); $teletypes[116] = 'uint:4';
  define('TeleSipRebootNow',                 117); $teletypes[117] = 'bool:1';
  define('TeleSipPrimaryDns',                118); $teletypes[118] = 'ip:4';
  define('TeleSipSecondaryDns',              119); $teletypes[119] = 'ip:4';
  define('TelSipEventLevel',                 120); $teletypes[120] = 'uint:4';
  define('TelSipRtpPortBase',                121); $teletypes[121] = 'uint:2';
  define('TelSipConfigFileVersion',          122); $teletypes[122] = 'string:32';
  define('TelSipVadEnabled',                 123); $teletypes[123] = 'bool:1';
  define('TeleSipDialPlanEntry',             124); $teletypes[124] = 'string:50';
  define('TeleSipPhoneNumber',               125); $teletypes[125] = 'string:250';
  define('TeleSipCidUserName',               126); $teletypes[126] = 'string:250';
  define('TeleSipOutgoingCidBlocking',       127); $teletypes[127] = 'bool:1';
  define('TeleSipIncomingCwEnabled',         128); $teletypes[128] = 'bool:1';
  define('TeleSipAnonymousCidBlocking',      129); $teletypes[129] = 'bool:1';
  define('TeleSipCodecSelection',            130); $teletypes[130] = 'string:250';
  define('TeleSipPacketPeriodSelection',     131); $teletypes[131] = 'uint:1';
  define('TeleSipRedialMaxTimeout',          132); $teletypes[132] = 'uint:4';
  define('TeleSipRedialMaxPeriod',           133); $teletypes[133] = 'uint:4';
  define('TeleSipAuthPassword',              134); $teletypes[134] = 'string:50';
  define('TeleSipCritialDialTimeout',        135); $teletypes[135] = 'uint:2';
  define('TeleSipPartialDialTimeout',        136); $teletypes[136] = 'uint:2';
  define('TeleSipActionKey',                 137); $teletypes[137] = 'string:1';
  define('TeleSipKnownGoodSource',           138); $teletypes[138] = '';
  define('TeleSipOobDtmf',                   139); $teletypes[139] = 'bool:1';
  define('TeleSipReceivedEquals',            140); $teletypes[140] = '';
  define('TeleSip5XX6XXFailover',            141); $teletypes[141] = 'bool:1';
  define('TeleSipOutboundProxyFqdn',         142); $teletypes[142] = 'string:250';
  define('TeleSipCallWaitTonePeriod',        143); $teletypes[143] = 'uint:1';
  define('TeleSipCallWaitToneCnt',           144); $teletypes[144] = 'uint:1';
  define('TeleSipWANPingEnabled',            145); $teletypes[145] = '';
  define('TeleSipCallSigTos',                146); $teletypes[146] = '';
  define('TeleSipMediaStreamTos',            147); $teletypes[147] = '';
  define('TeleSipT38Enabled',                148); $teletypes[148] = '';
  define('TeleSipNetSideToneDetect',         149); $teletypes[149] = '';
  define('TeleSipAuthUserName',              150); $teletypes[150] = 'string:50'; // guess??

  define('iso', '.1');
  define('org', iso . '.3');
  define('dod', org . '.6');
  define('internet', dod . '.1');
  define('private_', internet . '.4');
  define('enterprises', private_ . '.1');
  define('gi', enterprises . '.1166');
  define('giproducts', gi . '.1');
  define('btiMIB', giproducts . '.200');
  define('btiTALine', btiMIB . '.6');
  define('btiTALineStatTable', btiTALine . '.1');
  define('btiTALineStatEntry', btiTALineStatTable . '.1');
  define('btiTALineConfigTable', btiTALine . '.4');
  define('btiTALineConfigEntry', btiTALineConfigTable . '.1');
  define('btiTALineOnHookDebounce', btiTALineConfigEntry . '.10');
  define('btiTALinePulseDialMaxMakeTime', btiTALineConfigEntry . '.20');
  define('btiTALineOffHookDebounce', btiTALineConfigEntry . '.11');
  define('btiTALineTxGain', btiTALineConfigEntry . '.12');
  define('btiTALinePulseDialMinBreakTime', btiTALineConfigEntry . '.21');
  define('btiTALinePulseDialMaxBreakTime', btiTALineConfigEntry . '.22');
  define('btiTALineRxGain', btiTALineConfigEntry . '.13');
  define('btiTALinePulseDialInterdigitTime', btiTALineConfigEntry . '.23');
  define('btiTALineVADEnable', btiTALineConfigEntry . '.14');
  define('btiTALineMinHookFlash', btiTALineConfigEntry . '.24');
  define('btiTALinePacketizationPeriod', btiTALineConfigEntry . '.15');
  define('btiTALinePartialDialTimeout', btiTALineConfigEntry . '.16');
  define('btiTALineMaxHookFlash', btiTALineConfigEntry . '.25');
  define('btiTALineLoopCurrent', btiTALineConfigEntry . '.26');
  define('btiTALineCriticalDialTimeout', btiTALineConfigEntry . '.17');
  define('btiTALineConfigIfIndex', btiTALineConfigEntry . '.27');
  define('btiTALineAnalogLoopbackResults', btiTALineConfigEntry . '.18');
  define('btiTALinePulseDialMinMakeTime', btiTALineConfigEntry . '.19');
  define('btiTALineConfigIndex', btiTALineConfigEntry . '.1');
  define('btiTALineEnable', btiTALineConfigEntry . '.2');
  define('btiTALineLoopback', btiTALineConfigEntry . '.3');
  define('btiTALineComfortNoiseLevel', btiTALineConfigEntry . '.4');
  define('btiTALineEchoCancelEnable', btiTALineConfigEntry . '.5');
  define('btiTALineEchoCancelTailLength', btiTALineConfigEntry . '.6');
  define('btiTALineEchoCancelMode', btiTALineConfigEntry . '.7');
  define('btiTALineNomJitterBufferSize', btiTALineConfigEntry . '.8');
  define('btiTALineMaxJitterBufferSize', btiTALineConfigEntry . '.9');
  define('btiTAControl', btiMIB . '.2');
  define('btiRingCadenceTable', btiTAControl . '.19');
  define('btiRingCadenceEntry', btiRingCadenceTable . '.1');
  define('btiRingCadenceIndex', btiRingCadenceEntry . '.1');
  define('btiRingCadence', btiRingCadenceEntry . '.2');
  define('btiToneTable', btiTAControl . '.22');
  define('btiToneEntry', btiToneTable . '.1');
  define('btiToneFirstToneOn', btiToneEntry . '.10');
  define('btiToneFirstToneOff', btiToneEntry . '.11');
  define('btiToneSecondToneOn', btiToneEntry . '.12');
  define('btiToneSecondToneOff', btiToneEntry . '.13');
  define('btiToneThirdToneOn', btiToneEntry . '.14');
  define('btiToneThirdToneOff', btiToneEntry . '.15');
  define('btiToneFourthToneOn', btiToneEntry . '.16');
  define('btiToneFourthToneOff', btiToneEntry . '.17');
  define('btiWholeToneRepeatCount', btiToneEntry . '.18');
  define('btiToneSteady', btiToneEntry . '.19');
  define('btiToneType', btiToneEntry . '.1');
  define('btiToneDbLevel', btiToneEntry . '.2');
  define('btiToneFreqType', btiToneEntry . '.3');
  define('btiToneNumFrequencies', btiToneEntry . '.4');
  define('btiToneFirstFrequency', btiToneEntry . '.5');
  define('btiToneSecondFrequency', btiToneEntry . '.6');
  define('btiToneThirdFrequency', btiToneEntry . '.7');
  define('btiToneFourthFrequency', btiToneEntry . '.8');
  define('btiToneNumOnOffTimes', btiToneEntry . '.9');
  define('btiTAIdent', btiMIB . '.1');
  define('btiManufacturer', btiTAIdent . '.1');
  define('btiModelNumber', btiTAIdent . '.2');
  define('btiMibVersion', btiTAIdent . '.3');
  define('btiTAEnvironment', btiMIB . '.9');
  define('btiSignallingProtocol', btiTAEnvironment . '.1');
  define('btiSignalling', btiTAEnvironment . '.10');
  define('btiQosType', btiTAEnvironment . '.2');
  define('btiSigProtocolString', btiTAEnvironment . '.11');
  define('btiCmtsType', btiTAEnvironment . '.3');
  define('btiCmtsRevision', btiTAEnvironment . '.4');
  define('btiCallAgentMfg', btiTAEnvironment . '.5');
  define('btiCallAgentRevision', btiTAEnvironment . '.6');
  define('btiFilterMGCP', btiTAEnvironment . '.7');
  define('btiDebug', btiTAEnvironment . '.8');
  define('btiEndpointNameBase', btiTAEnvironment . '.9');
  define('btiTALineDialToneDelayMax', btiTALineStatEntry . '.10');
  define('btiTALineDialToneDelayAvg', btiTALineStatEntry . '.11');
  define('btiTALineDialToneDelayLast', btiTALineStatEntry . '.12');
  define('btiTALineJitterMin', btiTALineStatEntry . '.30');
  define('btiTALinePostDialDelayMin', btiTALineStatEntry . '.13');
  define('btiTALineJitterMax', btiTALineStatEntry . '.31');
  define('btiTALineJitterAvg', btiTALineStatEntry . '.32');
  define('btiTALinePostDialDelayMax', btiTALineStatEntry . '.14');
  define('btiTALinePostDialDelayAvg', btiTALineStatEntry . '.15');
  define('btiTALineJitterLast', btiTALineStatEntry . '.33');
  define('btiTALinePostDialDelayLast', btiTALineStatEntry . '.16');
  define('btiTALineLatencyMin', btiTALineStatEntry . '.34');
  define('btiTALinePostPickupDelayMin', btiTALineStatEntry . '.17');
  define('btiTALineLatencyMax', btiTALineStatEntry . '.35');
  define('btiTALinePostPickupDelayMax', btiTALineStatEntry . '.18');
  define('btiTALineLatencyAvg', btiTALineStatEntry . '.36');
  define('btiTALineLatencyLast', btiTALineStatEntry . '.37');
  define('btiTALinePostPickupDelayAvg', btiTALineStatEntry . '.19');
  define('btiTALineQuarantineStatus', btiTALineStatEntry . '.38');
  define('btiTALinePostPickupDelayLast', btiTALineStatEntry . '.20');
  define('btiTALineFVDresultsValidFlag', btiTALineStatEntry . '.21');
  define('btiTALineACloopVoltage', btiTALineStatEntry . '.22');
  define('btiTALineDCloopVoltage', btiTALineStatEntry . '.23');
  define('btiTALineACringVoltage', btiTALineStatEntry . '.24');
  define('btiTALineDCringVoltage', btiTALineStatEntry . '.25');
  define('btiTALineACtipVoltage', btiTALineStatEntry . '.26');
  define('btiTALineDCtipVoltage', btiTALineStatEntry . '.27');
  define('btiTALineHazardFlag', btiTALineStatEntry . '.28');
  define('btiTALineForeignVoltageFlag', btiTALineStatEntry . '.29');
  define('btiTALineStatIndex', btiTALineStatEntry . '.1');
  define('btiTAHookStatus', btiTALineStatEntry . '.2');
  define('btiTALineNumActiveConn', btiTALineStatEntry . '.3');
  define('btiTALineNumInactiveConn', btiTALineStatEntry . '.4');
  define('btiTALineCodecUsed', btiTALineStatEntry . '.5');
  define('btiTALineSignal', btiTALineStatEntry . '.6');
  define('btiTALineOverTempAlarm', btiTALineStatEntry . '.7');
  define('btiTALineIfIndex', btiTALineStatEntry . '.8');
  define('btiTALineDialToneDelayMin', btiTALineStatEntry . '.9');
  define('btiAlarm', btiMIB . '.7');
  define('btiTrapChangedValueEnable', btiAlarm . '.1');
  define('btiTrapChangedValueOID', btiAlarm . '.2');
  define('btiTrapTextInfo', btiAlarm . '.3');
  define('btiAlarmState', btiAlarm . '.4');
  define('btiAlarmStateBitMap', btiAlarm . '.5');
  define('btiTASummCallPackStat', btiMIB . '.5');
  define('btiAverageDelay', btiTASummCallPackStat . '.1');
  define('btiInterarrivalJitter', btiTASummCallPackStat . '.2');
  define('btiReceivedOctets', btiTASummCallPackStat . '.3');
  define('btiSentOctets', btiTASummCallPackStat . '.4');
  define('btiSentPackets', btiTASummCallPackStat . '.5');
  define('btiReceivedPackets', btiTASummCallPackStat . '.6');
  define('btiLostPackets', btiTASummCallPackStat . '.7');
  define('btiTALineProvisionTable', btiTALine . '.3');
  define('btiTALineProvisionEntry', btiTALineProvisionTable . '.1');
  define('btiTALineDigitMapTable', btiTALine . '.2');
  define('btiTALineDigitMapEntry', btiTALineDigitMapTable . '.1');
  define('btiNotificationPrefix', btiMIB . '.8');
  define('btiNotifications', btiNotificationPrefix . '.0');
  define('btiTALineProvisionIndex', btiTALineProvisionEntry . '.1');
  define('btiTALineEndpointName', btiTALineProvisionEntry . '.2');
  define('btiTALineSGCPCallAgentIP', btiTALineProvisionEntry . '.3');
  define('btiTALineSGCPCallAgentName', btiTALineProvisionEntry . '.4');
  define('btiTALineSGCPCallAgentUdpPort', btiTALineProvisionEntry . '.5');
  define('btiTALineEndpointDomainName', btiTALineProvisionEntry . '.6');
  define('btiTALineProvisionIfIndex', btiTALineProvisionEntry . '.7');
  define('btiTAConfig', btiMIB . '.3');
  define('btiTAStatus', btiMIB . '.4');
  define('btiTALineXgcpMsgStatTable', btiTALine . '.6');
  define('btiTALineXgcpMsgStatEntry', btiTALineXgcpMsgStatTable . '.1');
  define('btiTALineXgcpCoreObjectsTable', btiTALine . '.5');
  define('btiTALineControlTable', btiTALine . '.7');
  define('btiTALineDigitMapIndex', btiTALineDigitMapEntry . '.1');
  define('btiTALineDigitMap', btiTALineDigitMapEntry . '.2');
  define('btiTALineXgcpMsgStatIndex', btiTALineXgcpMsgStatEntry . '.1');
  define('btiTALineXgcpSuccessMessages', btiTALineXgcpMsgStatEntry . '.2');
  define('btiTALineXgcpFailMessages', btiTALineXgcpMsgStatEntry . '.3');
  define('btiTALineXgcpMsgIfIndex', btiTALineXgcpMsgStatEntry . '.4');
  define('btiTALineControlEntry', btiTALineControlTable . '.1');
  define('btiTALineXgcpCoreObjectsEntry', btiTALineXgcpCoreObjectsTable . '.1');
  define('btiElementManagerDomainName', btiTAConfig . '.1');
  define('btiElementManagerIPAddress', btiTAConfig . '.2');
  define('btiPulseSignalTable', btiTAControl . '.18');
  define('btiPulseSignalEntry', btiPulseSignalTable . '.1');
  define('btiTALineControlIndex', btiTALineControlEntry . '.1');
  define('btiTALineTestForeignVoltage', btiTALineControlEntry . '.2');
  define('btiTALineClearForeignVoltageResults', btiTALineControlEntry . '.3');
  define('btiTALineControlIfIndex', btiTALineControlEntry . '.4');
  define('btiTALineXgcpIndex', btiTALineXgcpCoreObjectsEntry . '.1');
  define('btiTALineXgcpInBadVersions', btiTALineXgcpCoreObjectsEntry . '.2');
  define('btiTALineXgcpRequestTimeOut', btiTALineXgcpCoreObjectsEntry . '.3');
  define('btiTALineXgcpRequestRetries', btiTALineXgcpCoreObjectsEntry . '.4');
  define('btiTALineXgcpAdminStatus', btiTALineXgcpCoreObjectsEntry . '.5');
  define('btiTALineXgcpOperStatus', btiTALineXgcpCoreObjectsEntry . '.6');
  define('btiTALineXgcpUnRecognizedPackets', btiTALineXgcpCoreObjectsEntry . '.7');
  define('btiTALineXgcpIfIndex', btiTALineXgcpCoreObjectsEntry . '.8');
  define('btiUsePiggybacking', btiTAControl . '.10');
  define('btiPowerRingFrequency', btiTAControl . '.11');
  define('btiPCMCoding', btiTAControl . '.12');
  define('btiServiceFlowSharing', btiTAControl . '.30');
  define('btiCIDMode', btiTAControl . '.13');
  define('btiUpstreamVoicePhsFields', btiTAControl . '.31');
  define('btiDownstreamVoicePhsFields', btiTAControl . '.32');
  define('btiCIDFskAfterRing', btiTAControl . '.14');
  define('btiCIDFskAfterDTAS', btiTAControl . '.15');
  define('btiIPowerSavingModeEnable', btiTAControl . '.33');
  define('btiUserLedMode', btiTAControl . '.34');
  define('btiCIDRingAfterFSK', btiTAControl . '.16');
  define('btiCIDDTASAfterLR', btiTAControl . '.17');
  define('btiCpeInterfaceEnable', btiTAControl . '.35');
  define('btiHfcInterfaceEnable', btiTAControl . '.36');
  define('btiSyslogServerAddressIP', btiTAControl . '.37');
  define('btiStandardRingCadence', btiTAControl . '.20');
  define('btiRingSplashCadence', btiTAControl . '.21');
  define('btiSingleFileProvisioning', btiTAControl . '.23');
  define('btiQuarBuffLimit', btiTAControl . '.24');
  define('btiDtmfInsertMode', btiTAControl . '.25');
  define('btiDtmfInsertDownstreamPower', btiTAControl . '.26');
  define('btiDtmfInsertUpstreamPower', btiTAControl . '.27');
  define('btiDtmfInsertShutoffCount', btiTAControl . '.28');
  define('btiToneDetectionRule', btiTAControl . '.29');
  define('btiSoftResetNow', btiTAControl . '.1');
  define('btiMaxResetDelay', btiTAControl . '.2');
  define('btiPostCallCompletionResetDelay', btiTAControl . '.3');
  define('btiHfcEnable', btiTAControl . '.4');
  define('btiTALineNomJitterBufferSizeVoice', btiTAControl . '.5');
  define('btiTALineMaxJitterBufferSizeVoice', btiTAControl . '.6');
  define('btiTALineNomJitterBufferSizeNonVoice', btiTAControl . '.7');
  define('btiTALineMaxJitterBufferSizeNonVoice', btiTAControl . '.8');
  define('btiTelephonyEventInterval', btiTAControl . '.9');
  define('btiPOCTResult', btiTAStatus . '.1');
  define('btiBatteryStatus', btiTAStatus . '.2');
  define('btiUpsStatus', btiTAStatus . '.3');
  define('btiDevLinePowerStatus', btiTAStatus . '.4');
  define('btiInternetSecurityLockStatus', btiTAStatus . '.5');
  define('btiPulseSignalIndex', btiPulseSignalEntry . '.1');
  define('btiPulseSignalDuration', btiPulseSignalEntry . '.2');
  define('btiPulseSignalType', btiPulseSignalEntry . '.3');

  define('TELE_INIT_LEVEL',   1);
  define('TELE_DHCP_LEVEL',   2);
  define('TELE_PROV_LEVEL',   4);
  define('TELE_LIBR_LEVEL',   8);
  define('TELE_TLV43_LEVEL', 16);

  define('TELE_ALL_LEVELS', TELE_INIT_LEVEL | TELE_DHCP_LEVEL | TELE_LIBR_LEVEL | TELE_TLV43_LEVEL);

  define('SIP_LOG_INIT_LEVEL',              0x1);
  define('SIP_LOG_PROTOCOL_LEVEL',          0x2);
  define('SIP_LOG_API_MSG_LEVEL',           0x4);
  define('SIP_LOG_API_MSG_LEVEL2',          0x8);
  define('SIP_LOG_EVENT_LEVEL',             0x10);
  define('SIP_LOG_PROV_LEVEL',              0x20);
  define('SIP_LOG_REG_LEVEL',               0x40);
  define('SIP_LOG_CONNECTION_LEVEL',        0x100);
  define('SIP_LOG_SIGNAL_LEVEL',            0x200);
  define('SIP_LOG_DIGIT_LEVEL',             0x800);
  define('SIP_LOG_CALL_STATE_LEVEL',        0x1000);
  define('SIP_LOG_RESOURCE_LEVEL',          0x2000);
  define('SIP_LOG_ENDPT_STATE_LEVEL',       0x4000);
  define('SIP_LOG_PROTO_TRANSACTION_LEVEL', 0x8000);
  define('SIP_LOG_RADVISION_LEVEL',         0x10000);
  define('SIP_LOG_PROTO_MSG_LEVEL',         0x20000);

  define('SIP_LOG_ALL_LEVELS', SIP_LOG_INIT_LEVEL        | SIP_LOG_PROTOCOL_LEVEL          | SIP_LOG_API_MSG_LEVEL   |
                               SIP_LOG_API_MSG_LEVEL2    | SIP_LOG_EVENT_LEVEL             | SIP_LOG_PROV_LEVEL      |
                               SIP_LOG_REG_LEVEL         | SIP_LOG_CONNECTION_LEVEL        | SIP_LOG_SIGNAL_LEVEL    |
                               SIP_LOG_DIGIT_LEVEL       | SIP_LOG_CALL_STATE_LEVEL        | SIP_LOG_RESOURCE_LEVEL  |
                               SIP_LOG_ENDPT_STATE_LEVEL | SIP_LOG_PROTO_TRANSACTION_LEVEL | SIP_LOG_RADVISION_LEVEL |
                               SIP_LOG_PROTO_MSG_LEVEL);
?>
